/*
 *$Log: altimetry.h,v $
 *Revision 14.0  1998/07/31 19:46:47  root
 *\#makecheckin
 *
 *Revision 13.0  1998/07/31 19:46:30  root
 *\#makecheckin
 *
 *Revision 12.0  1998/07/31 09:58:26  root
 *\#makecheckin
 *
 *Revision 11.0  1998/05/02 23:03:44  root
 *\#makecheckin
 *
 *Revision 10.0  1997/10/22 18:33:55  root
 *\#makecheckin
 *
 * Revision 6.0  1997/07/04  00:32:42  root
 * \#makecheckin
 *
 *Revision 5.0  1997/07/03 15:05:48  root
 *\#makecheckin
 *
 *Revision 4.0  1997/07/01 11:58:59  root
 *\#makecheckin
 *
 *Revision 3.1  1997/07/01 11:58:46  root
 *\#makecheckin
 *
 *Revision 3.0  1997/06/23 12:51:50  root
 *\#makecheckin
 *
 *Revision 2.0  1997/06/23 09:04:44  root
 *\#makecheckin
 *
 *Revision 1.6  1997/06/18 15:15:32  root
 *\#makecheckin
 *
 *Revision 1.5  1997/06/15 23:47:50  root
 *\#makecheckin
 *
 */

#define ALT_IEEE 0
#define ALT_VAX  1

#define FIRST_ORBIT 376
#define ORBITS_PER_CYCLE 1790

typedef struct {
int orbit;
int foot;
} IOF;

BEGIN_OBJECT(Arcache_ent)
off_t pos;
int foot;
END_OBJECT(Arcache_ent)

CREATOR(Arcache_ent)=Obj_DefaultCreator;
DESTRUCTOR(Arcache_ent)=Obj_DefaultDestructor;

#define AR_CACHE_GRANULARITY 64
#define AR_CACHE_START	-10000


BEGIN_OBJECT(Arcdr)
FILE *file;
char *path;
char *header;

int head_len;
int format;
int orbit;

int start;
int sfoot;

int current;
int ptr;

int used;

Arcache_ent_list cache;
int cache_wakeup_foot;
END_OBJECT(Arcdr)

extern void arcdr_destructor(Arcdr);

CREATOR(Arcdr)=Obj_DefaultCreator;
DESTRUCTOR(Arcdr)=arcdr_destructor;


#include <jorb.h>
#include <alt_rec.h>


/* This sets the lagest version number checked by open_arcdr_by_orbit */

#define ARCDR_MAX_VER 	9
