/*
 *$Log: profile.h,v $
 *Revision 14.0  1998/07/31 19:46:47  root
 *\#makecheckin
 *
 *Revision 13.0  1998/07/31 19:46:30  root
 *\#makecheckin
 *
 *Revision 12.0  1998/07/31 09:58:26  root
 *\#makecheckin
 *
 *Revision 11.0  1998/05/02 23:03:44  root
 *\#makecheckin
 *
 *Revision 10.1  1998/04/24 20:58:37  root
 *\#makecheckin
 *
 *Revision 10.0  1997/10/22 18:33:55  root
 *\#makecheckin
 *
 *Revision 9.0  1997/10/22 18:32:48  root
 *\#makecheckin
 *
 *Revision 8.0  1997/10/22 18:32:00  root
 *\#makecheckin
 *
 *Revision 7.0  1997/10/22 18:31:42  root
 *\#makecheckin
 *
 */

#define PROFILE_POINTS 500
#define PROFILE_STEP (1.0/(float) PROFILE_POINTS)


typedef enum {
	PROFILE_NONE,
	PROFILE_FIRSTPT,
	PROFILE_SECONDPT,
	PROFILE_DISPLAYED
} Profile_state;
	
typedef struct Profile_private_struct {
	Frame frame;
	Panel panel;
	Canvas canvas;
	Display *display;
	XID xid;
	GC gc;
	Panel_item instructions;
	Panel_item where; 
	Panel_item range; 
	int on;
	Profile_state state;
	LL start,end;
	float prof[PROFILE_POINTS]; /* last profile */
	LL pos[PROFILE_POINTS]; /* last profile */
} Profile_private;
