/*
 *$Log: view.h,v $
 *Revision 14.0  1998/07/31 19:46:47  root
 *\#makecheckin
 *
 *Revision 13.0  1998/07/31 19:46:30  root
 *\#makecheckin
 *
 *Revision 12.0  1998/07/31 09:58:26  root
 *\#makecheckin
 *
 *Revision 11.0  1998/05/02 23:03:44  root
 *\#makecheckin
 *
 *Revision 10.0  1997/10/22 18:33:55  root
 *\#makecheckin
 *
 * Revision 6.0  1997/07/04  00:32:42  root
 * \#makecheckin
 *
 *Revision 5.1  1997/07/04 00:31:03  root
 *\#makecheckin
 *
 *Revision 5.0  1997/07/03 15:05:48  root
 *\#makecheckin
 *
 *Revision 4.0  1997/07/01 11:58:59  root
 *\#makecheckin
 *
 *Revision 3.1  1997/07/01 11:58:46  root
 *\#makecheckin
 *
 *Revision 3.0  1997/06/23 12:51:50  root
 *\#makecheckin
 *
 *Revision 2.0  1997/06/23 09:04:44  root
 *\#makecheckin
 *
 *Revision 1.11  1997/06/15 23:47:49  root
 *\#makecheckin
 *
 */

#define V_NORMAL 0
#define V_BROWSING 1

typedef struct {
int x,y;
} IXY;

struct View_struct;


BEGIN_OBJECT(Repaint_Procedure)
void (*repaint_proc)(struct View_struct *);
END_OBJECT(Repaint_Procedure)

CREATOR(Repaint_Procedure)=Obj_DefaultCreator;
DESTRUCTOR(Repaint_Procedure)=Obj_DefaultDestructor;

BEGIN_OBJECT(View)

/* Xview and X stuff */
Display *display;
Window window;
Frame frame;
Menu menu;
Canvas canvas;
GC gc;
Cms cms;
Cms ctrl_cms;
int using_ctrl_cms;
Xv_singlecolor *colors;

/* Size of window stuff */
int wx,wy;
int shrink;

/* Midr and position in it */
Midr midr;
int x,y;

/* Mode */
int mode;

/* Doodled? */
int xor;


/* where the mouse was when the menu was brought up...*/
IXY menu_pos;

/* Altimetry hooks */
struct Altview_private_struct *altview_private; 
struct Return_private_struct *return_private; 
struct Info_private_struct *info_private;
struct Whereami_private_struct *whereami_private;
struct Profile_private_struct *profile_private;

/* daisychainable hook for plugins */
Repaint_Procedure_list repaint_hook;

END_OBJECT(View)

extern void view_destructor(View);

CREATOR(View)=Obj_DefaultCreator;
DESTRUCTOR(View)=view_destructor;

#define MGN_BLACK   0
#define MGN_YELLOW  251
#define MGN_BLUE    252
#define MGN_GREEN   253
#define MGN_RED     254
#define MGN_WHITE   255

#define MGN_PIN(v,a)	MENU_GEN_PIN_WINDOW,v->frame,a,

