/*
 *$Log: alttile.h,v $
 *Revision 14.0  1998/07/31 19:46:47  root
 *\#makecheckin
 *
 *Revision 13.0  1998/07/31 19:46:30  root
 *\#makecheckin
 *
 *Revision 12.0  1998/07/31 09:58:26  root
 *\#makecheckin
 *
 *Revision 11.0  1998/05/02 23:03:44  root
 *\#makecheckin
 *
 *Revision 10.0  1997/10/22 18:33:55  root
 *\#makecheckin
 *
 * Revision 6.0  1997/07/04  00:32:42  root
 * \#makecheckin
 *
 *Revision 5.1  1997/07/04 00:31:03  root
 *\#makecheckin
 *
 *Revision 5.0  1997/07/03 15:05:48  root
 *\#makecheckin
 *
 *Revision 4.0  1997/07/01 11:58:59  root
 *\#makecheckin
 *
 *Revision 3.0  1997/06/23 12:51:50  root
 *\#makecheckin
 *
 *Revision 2.0  1997/06/23 09:04:44  root
 *\#makecheckin
 *
 *Revision 1.4  1997/06/15 23:47:50  root
 *\#makecheckin
 *
 */

struct Alttile_struct;

struct alttile_funcs {
IOF (*ixy_to_iof)(struct Alttile_struct *,IXY);
IXY (*iof_to_ixy)(struct Alttile_struct *,IOF);
};

#define TILE_CONTIGUOUS	1
#define TILE_ONE_ORBIT	2


BEGIN_OBJECT(Alttile) 
int serial;
int type;
int cycle;
IXY size;
IOF pos; /* Of 0,0 if orbit is <0 if this is synthetic (eg tidied)*/

alt_rec **data;

/* Functions for coverting to IOF from position on grid */
struct alttile_funcs funcs;
END_OBJECT(Alttile)

extern void alttile_destructor(Alttile);

CREATOR(Alttile)=Obj_DefaultCreator;
DESTRUCTOR(Alttile)=alttile_destructor;



typedef struct Altview_private_struct {
	Alttile_list tiles;
	Alttile current;
	Valuetile buffered;
} Altview_private;

