#define ARROW_WIDTH 32
#define ARROW_HEIGHT 32
#define ARROW_ARRAY_LEN 64


#define ARROW_XM 0
#define ARROW_XO 1
#define ARROW_XP 2
#define ARROW_YM 0
#define ARROW_YO 3
#define ARROW_YP 6
#define ARROW_NUM 9
#define ARROW_REPAINT (ARROW_XO+ARROW_YO)
static int arrow_initted=0;

static Server_image arrow[ARROW_NUM];

static short int arrow_bits[][ARROW_ARRAY_LEN]={
{
#include "arrows/arrows_up_left.h"
},
{
#include "arrows/arrows_left.h"
},
{
#include "arrows/arrows_down_left.h"
},
{
#include "arrows/arrows_up.h"
},
{
#include "arrows/repaint.h"
},
{
#include "arrows/arrows_down.h"
},
{
#include "arrows/arrows_up_right.h"
},
{
#include "arrows/arrows_right.h"
},
{
#include "arrows/arrows_down_right.h"
}
};

static void init_arrows()
{
int i;

if (arrow_initted) return;

for (i=0;i<ARROW_NUM;++i)
{
arrow[i]=(Server_image) xv_create(0,SERVER_IMAGE,
	XV_WIDTH,	ARROW_WIDTH,
	XV_HEIGHT,	ARROW_HEIGHT,
	SERVER_IMAGE_BITS, arrow_bits[i],
	0);

}
arrow_initted++;

}

