/*
 *$Log: midr.h,v $
 *Revision 14.0  1998/07/31 19:46:47  root
 *\#makecheckin
 *
 *Revision 13.0  1998/07/31 19:46:30  root
 *\#makecheckin
 *
 *Revision 12.0  1998/07/31 09:58:26  root
 *\#makecheckin
 *
 *Revision 11.0  1998/05/02 23:03:44  root
 *\#makecheckin
 *
 *Revision 10.0  1997/10/22 18:33:55  root
 *\#makecheckin
 *
 * Revision 6.0  1997/07/04  00:32:42  root
 * \#makecheckin
 *
 *Revision 5.0  1997/07/03 15:05:48  root
 *\#makecheckin
 *
 *Revision 4.0  1997/07/01 11:58:59  root
 *\#makecheckin
 *
 *Revision 3.0  1997/06/23 12:51:50  root
 *\#makecheckin
 *
 *Revision 2.0  1997/06/23 09:04:44  root
 *\#makecheckin
 *
 *Revision 1.5  1997/06/15 23:47:49  root
 *\#makecheckin
 *
 */

typedef struct {
	int x;
	int y;
	Tile t;
} TXY;

typedef struct {
	struct Midr_struct *m;
	int x;
	int y;
} MXY;


struct midr_funcs {
	TXY (*mxy_to_txy)(Create_image_args,MXY);
	void (*display_chunk)(Display *,Window,GC,MXY,int wx,int wy);
	LL (*xy_to_ll)(struct Midr_struct *,XY);
	XY (*ll_to_xy)(struct Midr_struct *,LL);
};


#define MIDR_RES	0
#define MIDR_STD56	1 /* Standard 56 tile midr format*/


BEGIN_OBJECT(Midr)
int type;
char *path;
char *prefix;
struct midr_funcs funcs;
Vicar browse;
Projection *browse_proj;
int max_x,max_y;
END_OBJECT(Midr)

extern void midr_destructor(Midr);

CREATOR(Midr)=Obj_DefaultCreator;
DESTRUCTOR(Midr)=midr_destructor;

